const system=require("../../../system");
const settings=require("../../../../config/settings");
const uiconfig=system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("saasmerchantaddr", {
    saas_id: { type: DataTypes.STRING(32), allowNull: false, COMMENT: 'saas_id' },
    saas_merchant_id: { type: DataTypes.STRING(32), allowNull: false, COMMENT: '商户id' },
    mail_addr: { type: DataTypes.STRING(200), allowNull: false, COMMENT: '邮寄地址' },
    mail_mobile: { type: DataTypes.STRING(45), allowNull: false, COMMENT: '邮寄电话' },
    mail_to: { type: DataTypes.STRING(4), allowNull: false, COMMENT: '邮寄人' },
    created_at: { type: DataTypes.DATE, field: 'created_at', allowNull: false },
		updated_at: { type: DataTypes.DATE, field: 'updated_at', allowNull: false},
    deleted_at: { type: DataTypes.DATE, allowNull: true },
  },{
     paranoid: true,//假的删除
     underscored: true,
     version: true,
     freezeTableName: true,
     tableName: 'saas_merchant_addr'
  });
}
